# v4.0.0

## Backwards Incompatible Changes

* Support pagination over columns that are referenced differently in the database schema than in the application code. Although this looks like a feature add, it does break backwards compatibility on the assumptions that Pageturner makes on how the `anchor_column` is referenced in your database and application. Pageturner will now make less assumptions about that by allowing users to pass in database and application translations for the `anchor_column` as input. **Test your use cases after upgrading.**

# v3.1.0

## Changes

* https://github.com/crzrcn/pageturner/commit/241c80d33e6d4ffd17adad0e804da0ce879d420b - Expose the page size in the next cursor's state.
* Relaxed activerecord dependency from `<= 5.1` to `< 6.0`.

# v3.0.0

## Backwards Incompatible Changes

* https://github.com/crzrcn/pageturner/commit/eec35955cd273f8fa3fe35ae574cc70a7e775293 - Remove the concern of the next page's URL. Only the application that uses Pageturner has complete knowledge about the URLs that form each page of resources. Pageturner should only be concerned with pagination state. Pageturner will now expose the next page's cursor to achieve this.
  * Removes `#next_page` in favor of `#next_cursor`. `#next_cursor` returns pagination state that the application can use to create the next page's URL.

# v2.0.0

## Backwards Incompatible Changes

* https://github.com/crzrcn/pageturner/pull/6 - Do not make any assumptions over page size. The page size for a collection is ultimately known by the caller, so we accept a `page_size` parameter and use that value for the limit clause we apply on the given ActiveRecord::Relation. Before this change, Pageturner would apply a hardcoded page size that was defined within Pageturner itself. Users will need to modify their programs to pass the page size since Pageturner no longer enforces a page size.

# v1.0.0

* Support Rails 4.2 and 5.1.
